"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApplicationForms = void 0;
const baseResource_1 = require("./baseResource");
class ApplicationForms extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/application-forms", config);
    }
    async create(request) {
        return this.httpPost("", { data: request });
    }
    async get(applicationFormId) {
        return this.httpGet(`/${applicationFormId}`);
    }
    async list(params) {
        const parameters = {
            "page[limit]": ((params === null || params === void 0 ? void 0 : params.limit) ? params === null || params === void 0 ? void 0 : params.limit : 100),
            "page[offset]": ((params === null || params === void 0 ? void 0 : params.offset) ? params === null || params === void 0 ? void 0 : params.offset : 0),
            ...((params === null || params === void 0 ? void 0 : params.tags) && { "filter[tags]": this.customStringify(params.tags, ":") }),
            ...((params === null || params === void 0 ? void 0 : params.sort) && { "sort": params.sort })
        };
        return this.httpGet("", { params: parameters });
    }
}
exports.ApplicationForms = ApplicationForms;
