"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AtmLocations = void 0;
const baseResource_1 = require("./baseResource");
class AtmLocations extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/atm-locations", config);
    }
    async list(params) {
        const parameters = {
            ...((params === null || params === void 0 ? void 0 : params.coordinates) && { "filter[coordinates]": this.customStringify(params.coordinates) }),
            ...((params === null || params === void 0 ? void 0 : params.address) && { "filter[address]": this.customStringify(params.address) }),
            ...((params === null || params === void 0 ? void 0 : params.postalCode) && { "filter[postalCode]": params.postalCode }),
            ...((params === null || params === void 0 ? void 0 : params.searchRadius) && { "filter[searchRadius]": params.searchRadius })
        };
        return this.httpGet("", { params: parameters });
    }
}
exports.AtmLocations = AtmLocations;
