/// <reference types="node" />
import { responseEncoding, ResponseType } from "axios";
import { UnitConfig } from "../types";
export declare class BaseResource {
    private resourcePath;
    private headers;
    private readonly axios;
    constructor(token: string, resourcePath: string, config?: UnitConfig);
    protected httpGet<T>(path: string, config?: {
        headers?: object;
        params?: object;
        responseEncoding?: responseEncoding;
        responseType?: ResponseType;
    }, fullPath?: boolean): Promise<T>;
    protected httpGetWithInclude<T>(path: string, include?: string): Promise<T>;
    protected httpPatch<T>(path: string, data: DataPayload | {
        data: DataPayload;
    }, config?: {
        headers?: object;
        params?: object;
    }): Promise<T>;
    protected httpPatchFullPath<T>(path: string, data: DataPayload | {
        data: DataPayload;
    }, config?: {
        headers?: object;
        params?: object;
    }): Promise<T>;
    protected httpPost<T>(path: string, data?: DataPayload | {
        data: object;
    }, config?: {
        headers?: object;
        params?: object;
    }): Promise<T>;
    protected httpPostResourcePath<T>(data?: DataPayload | {
        data: object;
    }, config?: {
        headers?: object;
        params?: object;
    }): Promise<T>;
    protected httpPostFullPath<T>(path: string, data?: DataPayload | {
        data: object;
    }, config?: {
        headers?: object;
        params?: object;
    }): Promise<T>;
    protected httpPut<T>(path: string, data: object | Buffer, config?: {
        headers?: object;
        params?: object;
    }): Promise<T>;
    protected httpDelete<T>(path: string, data?: {
        data: object;
    }): Promise<T>;
    private mergeHeaders;
    protected customStringify(obj: any, separator?: string): string;
}
type DataPayload = {
    type: string;
    attributes: object;
};
export {};
