import { BaseResource } from "./baseResource";
import { UnitConfig, UnitResponse, CreditApplication, BaseListParams, PatchCreditApplicationRequest, CreateCreditApplicationRequest } from "../types";
export declare class CreditApplications extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    create(request: CreateCreditApplicationRequest): Promise<UnitResponse<CreditApplication>>;
    approve(credit_application_id: string): Promise<UnitResponse<import("../types").ExistingCustomerCreditApplication>>;
    deny(credit_application_id: string): Promise<UnitResponse<import("../types").ExistingCustomerCreditApplication>>;
    update(request: PatchCreditApplicationRequest): Promise<UnitResponse<CreditApplication>>;
    get(credit_application_id: string): Promise<UnitResponse<CreditApplication>>;
    list(params?: CreditApplicationListParams): Promise<UnitResponse<CreditApplication[]>>;
}
export interface CreditApplicationListParams extends BaseListParams {
    /**
     * Optional. Search resources by lending program id.
     * default: empty
     */
    lendingProgramId?: string;
    /**
     * Optional. Search resources by organization id.
     * default: empty
     */
    orgId?: string;
    /**
     * Optional. Search resources by lending program id.
     * default: empty
     */
    bankId?: string;
    /**
     * Optional. Search resources by application id.
     * default: empty
     */
    applicationId?: string;
    /**
     * Optional. Search resources by customer id.
     * default: empty
     */
    customerId?: string;
}
