"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Migrations = void 0;
const baseResource_1 = require("./baseResource");
class Migrations extends baseResource_1.BaseResource {
    constructor(token, basePath, config) {
        super(token, basePath + "/migrations", config);
    }
    async find(params) {
        const parameters = {
            ...((params === null || params === void 0 ? void 0 : params.customerId) && { "filter[customerId]": params.customerId }),
        };
        if (params === null || params === void 0 ? void 0 : params.status)
            params.status.forEach((s, idx) => {
                parameters[`filter[status][${idx}]`] = s;
            });
        return this.httpGet("", {
            params: parameters,
        });
    }
}
exports.Migrations = Migrations;
