import { BaseResource } from ".";
import { AtmAuthorizationRequest, AtmTransaction, CardTransactionAuthorizationRequest, CheckPayment, ClearAchPaymentSimulation, CreateAtmAuthorizationRequestSimulation, CreateCardPurchaseAuthorizationRequestSimulation, CreateCardTransactionAuthorizationRequestSimulation, CreateCheckPaymentSimulation, PurchaseAuthorizationRequest, Relationship, TransmitAchPaymentSimulation, UnitConfig, UnitResponse } from "../types";
import { AchReceivedPayment, Application, ApplicationDocument, AchPayment } from "../types";
import { ApproveApplicationSimulation, DenyApplicationSimulation, RejectDocumentSimulation, CreateAchReceivedPaymentSimulation, ReceiveAchPaymentSimulation, CreateCardPurchaseSimulation, CreateCardAuthorizationSimulation, IncreaseCardAuthorizationSimulation, CancelCardAuthorizationSimulation, Card, CardTransaction } from "../types";
export declare class Simulations extends BaseResource {
    constructor(token: string, basePath: string, config?: UnitConfig);
    approveApplication(applicationId: string, request: ApproveApplicationSimulation): Promise<UnitResponse<Application>>;
    denyApplication(applicationId: string, request: DenyApplicationSimulation): Promise<UnitResponse<Application>>;
    approveDocument(applicationId: string, documentId: string): Promise<UnitResponse<ApplicationDocument>>;
    rejectDocument(applicationId: string, documentId: string, request: RejectDocumentSimulation): Promise<UnitResponse<ApplicationDocument>>;
    receiveAchPayment(request: ReceiveAchPaymentSimulation): Promise<UnitResponse<AchPayment>>;
    createAchReceivedPayment(request: CreateAchReceivedPaymentSimulation): Promise<UnitResponse<AchReceivedPayment>>;
    completeAchReceivedPayment(id: string): Promise<UnitResponse<AchReceivedPayment>>;
    transmitAchPayment(request: TransmitAchPaymentSimulation): Promise<UnitResponse<AchPayment>>;
    clearAchPayment(request: ClearAchPaymentSimulation): Promise<UnitResponse<AchPayment>>;
    createCheckPayment(request: CreateCheckPaymentSimulation): Promise<UnitResponse<CheckPayment>>;
    createCardPurchase(request: CreateCardPurchaseSimulation): Promise<UnitResponse<CardTransaction>>;
    createCardAuthorization(request: CreateCardAuthorizationSimulation): Promise<UnitResponse<CardTransaction>>;
    increaseCardAuthorization(request: IncreaseCardAuthorizationSimulation, authorizationId: string): Promise<UnitResponse<CardTransaction>>;
    cancelCardAuthorization(request: CancelCardAuthorizationSimulation, authorizationId: string): Promise<UnitResponse<CardTransaction>>;
    createCardTransactionAuthorizationRequest(request: CreateCardTransactionAuthorizationRequestSimulation): Promise<UnitResponse<CardTransactionAuthorizationRequest>>;
    createCardPurchaseAuthorizationRequest(request: CreateCardPurchaseAuthorizationRequestSimulation): Promise<UnitResponse<PurchaseAuthorizationRequest>>;
    createAtmAuthorizationRequest(request: CreateAtmAuthorizationRequestSimulation): Promise<UnitResponse<AtmAuthorizationRequest>>;
    activateCard(id: string): Promise<UnitResponse<Card>>;
    atmWithdrawal(amount: number, account: Relationship): Promise<UnitResponse<AtmTransaction>>;
}
